GNU bug report logs - #40774
Error messages shouldn't be hidden when the user is idle

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: ndame <ndame@HIDDEN>; dated Wed, 22 Apr 2020 16:23:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 5 Dec 2021 19:49:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 14:49:28 2021
Received: from localhost ([127.0.0.1]:59538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtxVo-0003EB-8w
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 14:49:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mtxVm-0003Dy-Kw
 for 40774 <at> debbugs.gnu.org; Sun, 05 Dec 2021 14:49:27 -0500
Received: from [2001:470:142:3::e] (port=47900 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtxVh-0000mZ-9I; Sun, 05 Dec 2021 14:49:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=kUhVDW97Gqcxew+u7f4pcSkMicHpqDTdLf8caRHYFes=; b=HCS2BwU7QsM7
 BY5db+YgAU4JUIhiAAhpX6p6PmxEq5yIxekX8rN21GdJ+Dcz2tWYmutdlgU2h2St+5EYZ5yTzxTiF
 pz0aLbPW89ubmUS5PSNnDO5EK7oN9ZCkPwHPGKI1mhyFBLEwTqAlIPOR6zqJ70S5L5tXENMHD/Hku
 4bgX+ynOvMjXHP9gj69ZPrWGbCPQYhr6WV7XH9MK4Ha8b27vCEwBL43vKlXrwzSHL6m6MTWOcwXhn
 qUGlXwq7MkONuI9dbiI7wbsuZ/Z9COUDpRYHIySVk2Vj30dt5gSG0U7zHzG4wQejWsoQNHEUGFNPm
 GhdlRTRMtjxB3sXjjfWsbw==;
Received: from [87.69.77.57] (port=2311 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtxVh-0005bu-1B; Sun, 05 Dec 2021 14:49:21 -0500
Date: Sun, 05 Dec 2021 21:49:16 +0200
Message-Id: <83h7bm3k8z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <86pmqa51cz.fsf@HIDDEN> (message from Juri Linkov on
 Sun, 05 Dec 2021 20:54:20 +0200)
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
 <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
 <835zdre31u.fsf@HIDDEN>
 <KdXRRvLEpAay9wNX8QGrXJ7jO5X23m0v5tvf8I61B_X5j0ycEVsI0C5S24wXFUTSE3SsUYLiIuZp9y-57t5XGkCMW5jbObCfwftC45clAeo=@protonmail.com>
 <87v9lpluez.fsf@HIDDEN> <874koxwi1t.fsf@HIDDEN>
 <86pmqa51cz.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org, larsi@HIDDEN, ndame@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Cc: 40774 <at> debbugs.gnu.org,  eliz@HIDDEN,  ndame@HIDDEN
> Date: Sun, 05 Dec 2021 20:54:20 +0200
> 
> To be able to use clear-message-function in Emacs 29,
> we need to issue a notification in Emacs 28 NEWS:
> 
> diff --git a/etc/NEWS b/etc/NEWS
> index 8e38c3690c..69d00a8bf1 100644
> --- a/etc/NEWS
> +++ b/etc/NEWS
> @@ -3327,6 +3327,10 @@ This new 'etc-authors-mode' provides font-locking for displaying the
>  
>  * Incompatible Lisp Changes in Emacs 28.1
>  
> +---
> +** The return value of 'clear-message-function' will change in later releases.
> +When it will return a non-nil, the echo area won't be cleared.
> +

We never did anything like that before, AFAIR.  Why is this needed,
and how is this change different from any other change in behavior?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 5 Dec 2021 19:11:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 14:11:54 2021
Received: from localhost ([127.0.0.1]:59468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtwvS-0002D1-66
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 14:11:54 -0500
Received: from relay7-d.mail.gandi.net ([217.70.183.200]:53593)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mtwvP-0002Ch-Sl
 for 40774 <at> debbugs.gnu.org; Sun, 05 Dec 2021 14:11:52 -0500
Received: (Authenticated sender: juri@HIDDEN)
 by relay7-d.mail.gandi.net (Postfix) with ESMTPSA id 2897120002;
 Sun,  5 Dec 2021 19:11:43 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Organization: LINKOV.NET
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
 <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
 <835zdre31u.fsf@HIDDEN>
 <KdXRRvLEpAay9wNX8QGrXJ7jO5X23m0v5tvf8I61B_X5j0ycEVsI0C5S24wXFUTSE3SsUYLiIuZp9y-57t5XGkCMW5jbObCfwftC45clAeo=@protonmail.com>
 <87v9lpluez.fsf@HIDDEN> <874koxwi1t.fsf@HIDDEN>
Date: Sun, 05 Dec 2021 20:54:20 +0200
In-Reply-To: <874koxwi1t.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 20 Aug 2020 15:41:50 +0200")
Message-ID: <86pmqa51cz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org, eliz@HIDDEN, ndame@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> +      if (NILP (preserve))
>> +        {
>> +          echo_area_buffer[0] = Qnil;
>> +          message_cleared_p = true;
>> +        }
>
> It an interesting idea, but I don't think this would be a
> backwards-compatible implementation.  Today, the return value of
> clear-message-function isn't used, so we have to assume that users of
> that variable returns...  whatever.  Giving it semantics now would lead
> to the message area being preserved unexpectedly.

To be able to use clear-message-function in Emacs 29,
we need to issue a notification in Emacs 28 NEWS:

diff --git a/etc/NEWS b/etc/NEWS
index 8e38c3690c..69d00a8bf1 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -3327,6 +3327,10 @@ This new 'etc-authors-mode' provides font-locking for displaying the
 
 * Incompatible Lisp Changes in Emacs 28.1
 
+---
+** The return value of 'clear-message-function' will change in later releases.
+When it will return a non-nil, the echo area won't be cleared.
+
 +++
 ** Emacs now prints a backtrace when signaling an error in batch mode.
 This makes debugging Emacs Lisp scripts run in batch mode easier.  To
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 20 Aug 2020 13:42:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 09:42:09 2020
Received: from localhost ([127.0.0.1]:42007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8kpV-0000qZ-4N
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 09:42:09 -0400
Received: from quimby.gnus.org ([95.216.78.240]:57660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k8kpR-0000pe-M8
 for 40774 <at> debbugs.gnu.org; Thu, 20 Aug 2020 09:42:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=GjTEvOge1gvgDhTGNf8jGZHl59Rv+YC6cUWSYiLbypU=; b=R440u3sO0PAE2mv8w+tFu5vNBa
 aCr8z6H/6Gwav0+zp2rc7osbSD8+NDA5OZ2/oPXOC8ysTeDXsdPSVoHb59Yp0tpjFW5tdumMvEOu7
 DFC+eo29Q9u/2QGHcupwSvnx+M7KY9TVgVEObyIzIYWDI1GDYDOk7dFu+EdXDk0E5krg=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k8kpE-00040t-4i; Thu, 20 Aug 2020 15:41:54 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
 <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
 <835zdre31u.fsf@HIDDEN>
 <KdXRRvLEpAay9wNX8QGrXJ7jO5X23m0v5tvf8I61B_X5j0ycEVsI0C5S24wXFUTSE3SsUYLiIuZp9y-57t5XGkCMW5jbObCfwftC45clAeo=@protonmail.com>
 <87v9lpluez.fsf@HIDDEN>
X-Now-Playing: Various's _SHAPE Platform 2019_: "Maria W Horn - Intelocked
 Cycles II"
Date: Thu, 20 Aug 2020 15:41:50 +0200
In-Reply-To: <87v9lpluez.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 24 Apr 2020 01:16:36 +0300")
Message-ID: <874koxwi1t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > I see now what you
 mean. This can be easily implemented with the > following patch. So you can
 set `clear-message-function' to a function > that returns a non-nil, and
 the echo area won't be cleared [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org, eliz@HIDDEN, ndame@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Juri Linkov <juri@HIDDEN> writes:

> I see now what you mean.  This can be easily implemented with the
> following patch.  So you can set `clear-message-function' to a function
> that returns a non-nil, and the echo area won't be cleared.
>
> Such predicate function could contain a complex logic, but for testing
> you could use just:
>
>   (setq clear-message-function (lambda () t))

[...]

> -          safe_call (1, Vclear_message_function);
> +          preserve = safe_call (1, Vclear_message_function);
>            unbind_to (count, Qnil);
>          }
> +
> +      if (NILP (preserve))
> +        {
> +          echo_area_buffer[0] = Qnil;
> +          message_cleared_p = true;
> +        }

It an interesting idea, but I don't think this would be a
backwards-compatible implementation.  Today, the return value of
clear-message-function isn't used, so we have to assume that users of
that variable returns...  whatever.  Giving it semantics now would lead
to the message area being preserved unexpectedly.

Or not, if somebody has used that function to semi-clear the echo area,
and then return nil?

So this would have to be implemented in a different way, unfortunately,
I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 23 Apr 2020 22:21:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 23 18:21:35 2020
Received: from localhost ([127.0.0.1]:55963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRkDu-0002OF-RD
	for submit <at> debbugs.gnu.org; Thu, 23 Apr 2020 18:21:35 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:39201)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jRkDt-0002Nr-9z
 for 40774 <at> debbugs.gnu.org; Thu, 23 Apr 2020 18:21:33 -0400
Received: from mail.gandi.net (m91-129-106-11.cust.tele2.ee [91.129.106.11])
 (Authenticated sender: juri@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 13923200006;
 Thu, 23 Apr 2020 22:21:25 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: ndame via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Organization: LINKOV.NET
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
 <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
 <835zdre31u.fsf@HIDDEN>
 <KdXRRvLEpAay9wNX8QGrXJ7jO5X23m0v5tvf8I61B_X5j0ycEVsI0C5S24wXFUTSE3SsUYLiIuZp9y-57t5XGkCMW5jbObCfwftC45clAeo=@protonmail.com>
Date: Fri, 24 Apr 2020 01:16:36 +0300
In-Reply-To: <KdXRRvLEpAay9wNX8QGrXJ7jO5X23m0v5tvf8I61B_X5j0ycEVsI0C5S24wXFUTSE3SsUYLiIuZp9y-57t5XGkCMW5jbObCfwftC45clAeo=@protonmail.com>
 (ndame via's message of "Thu, 23 Apr 2020 05:58:01 +0000")
Message-ID: <87v9lpluez.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>,
 Eli Zaretskii <eliz@HIDDEN>, ndame <ndame@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

> So the only change needed is that error messages can only be cleared
> from the echo area by the user doing some command. Otherwise they
> are collected and shown.

I see now what you mean.  This can be easily implemented with the
following patch.  So you can set `clear-message-function' to a function
that returns a non-nil, and the echo area won't be cleared.

Such predicate function could contain a complex logic, but for testing
you could use just:

  (setq clear-message-function (lambda () t))


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=clear_message.patch

diff --git a/src/xdisp.c b/src/xdisp.c
index 01f272033e..fb9def57ef 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -11825,18 +11825,23 @@ set_message_1 (ptrdiff_t a1, Lisp_Object string)
 void
 clear_message (bool current_p, bool last_displayed_p)
 {
+  Lisp_Object preserve = Qnil;
+
   if (current_p)
     {
-      echo_area_buffer[0] = Qnil;
-      message_cleared_p = true;
-
       if (FUNCTIONP (Vclear_message_function))
         {
           ptrdiff_t count = SPECPDL_INDEX ();
           specbind (Qinhibit_quit, Qt);
-          safe_call (1, Vclear_message_function);
+          preserve = safe_call (1, Vclear_message_function);
           unbind_to (count, Qnil);
         }
+
+      if (NILP (preserve))
+        {
+          echo_area_buffer[0] = Qnil;
+          message_cleared_p = true;
+        }
     }
 
   if (last_displayed_p)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Apr 2020 22:21:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 23 18:21:39 2020
Received: from localhost ([127.0.0.1]:55966 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRkDz-0002OX-3K
	for submit <at> debbugs.gnu.org; Thu, 23 Apr 2020 18:21:39 -0400
Received: from lists.gnu.org ([209.51.188.17]:53236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jRkDw-0002OO-Vo
 for submit <at> debbugs.gnu.org; Thu, 23 Apr 2020 18:21:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60562)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <juri@HIDDEN>) id 1jRkDw-0004bB-Gu
 for bug-gnu-emacs@HIDDEN; Thu, 23 Apr 2020 18:21:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_LOW,
 SPF_PASS autolearn=unavailable autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <juri@HIDDEN>) id 1jRkDq-0001ha-WE
 for bug-gnu-emacs@HIDDEN; Thu, 23 Apr 2020 18:21:35 -0400
Received: from relay12.mail.gandi.net ([217.70.178.232]:41591)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>)
 id 1jRkDq-0001XU-9q; Thu, 23 Apr 2020 18:21:30 -0400
Received: from mail.gandi.net (m91-129-106-11.cust.tele2.ee [91.129.106.11])
 (Authenticated sender: juri@HIDDEN)
 by relay12.mail.gandi.net (Postfix) with ESMTPSA id 13923200006;
 Thu, 23 Apr 2020 22:21:25 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: ndame via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Organization: LINKOV.NET
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
 <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
 <835zdre31u.fsf@HIDDEN>
 <KdXRRvLEpAay9wNX8QGrXJ7jO5X23m0v5tvf8I61B_X5j0ycEVsI0C5S24wXFUTSE3SsUYLiIuZp9y-57t5XGkCMW5jbObCfwftC45clAeo=@protonmail.com>
Date: Fri, 24 Apr 2020 01:16:36 +0300
In-Reply-To: <KdXRRvLEpAay9wNX8QGrXJ7jO5X23m0v5tvf8I61B_X5j0ycEVsI0C5S24wXFUTSE3SsUYLiIuZp9y-57t5XGkCMW5jbObCfwftC45clAeo=@protonmail.com>
 (ndame via's message of "Thu, 23 Apr 2020 05:58:01 +0000")
Message-ID: <87v9lpluez.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=217.70.178.232; envelope-from=juri@HIDDEN;
 helo=relay12.mail.gandi.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/04/23 18:21:27
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Received-From: 217.70.178.232
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>,
 Eli Zaretskii <eliz@HIDDEN>, ndame <ndame@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

> So the only change needed is that error messages can only be cleared
> from the echo area by the user doing some command. Otherwise they
> are collected and shown.

I see now what you mean.  This can be easily implemented with the
following patch.  So you can set `clear-message-function' to a function
that returns a non-nil, and the echo area won't be cleared.

Such predicate function could contain a complex logic, but for testing
you could use just:

  (setq clear-message-function (lambda () t))


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=clear_message.patch

diff --git a/src/xdisp.c b/src/xdisp.c
index 01f272033e..fb9def57ef 100644
--- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -11825,18 +11825,23 @@ set_message_1 (ptrdiff_t a1, Lisp_Object string)
 void
 clear_message (bool current_p, bool last_displayed_p)
 {
+  Lisp_Object preserve = Qnil;
+
   if (current_p)
     {
-      echo_area_buffer[0] = Qnil;
-      message_cleared_p = true;
-
       if (FUNCTIONP (Vclear_message_function))
         {
           ptrdiff_t count = SPECPDL_INDEX ();
           specbind (Qinhibit_quit, Qt);
-          safe_call (1, Vclear_message_function);
+          preserve = safe_call (1, Vclear_message_function);
           unbind_to (count, Qnil);
         }
+
+      if (NILP (preserve))
+        {
+          echo_area_buffer[0] = Qnil;
+          message_cleared_p = true;
+        }
     }
 
   if (last_displayed_p)

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 23 Apr 2020 05:58:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 23 01:58:14 2020
Received: from localhost ([127.0.0.1]:53904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRUsH-00056t-TW
	for submit <at> debbugs.gnu.org; Thu, 23 Apr 2020 01:58:14 -0400
Received: from mail4.protonmail.ch ([185.70.40.27]:63613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRUsG-00056f-2D
 for 40774 <at> debbugs.gnu.org; Thu, 23 Apr 2020 01:58:12 -0400
Date: Thu, 23 Apr 2020 05:58:01 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587621485;
 bh=5G1OFRQPSbgcQMQ6eCfCdxDCSnpV0yEvGQS57wLmfKk=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=q6fvgiUzRCndXjJ6bYq1I6ambNzwFjRMi4pmyVo6ahqkAeX9kGNFceIHqYO0x06tZ
 +H6csxu0h59ZWxOYN96pyc+MOkmi4Vj1Q4tFSYSC5h57w9y5i2GufhiQsx3P8SJ+Ko
 9WsZpdaa5F+APAqFb0TjRmoWkldZTgAJS72WqudU=
To: Eli Zaretskii <eliz@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <KdXRRvLEpAay9wNX8QGrXJ7jO5X23m0v5tvf8I61B_X5j0ycEVsI0C5S24wXFUTSE3SsUYLiIuZp9y-57t5XGkCMW5jbObCfwftC45clAeo=@protonmail.com>
In-Reply-To: <835zdre31u.fsf@HIDDEN>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
 <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
 <835zdre31u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>  The method Emacs uses to
> determine when to run the next idle timer will not work,

It just occurred to me there is no need for idle check at all.

The echo area is currently automatically cleared when the user
performs a command. Otherwise, a new message can override
the echo area.

Only the latter needs to be changed, so that a new message does
not erase error messages.

So if emacs is left alone then arriving error messages are
accumulated and shown in a multiline echo area. If a new regular
message arrives then it is shown at the bottom of the multiline
echo area with the earlier error messages above.

And when the user comes back and performs a command then
the echo area is cleared as usual.

So the only change needed is that error messages can only be cleared
from the echo area by the user doing some command. Otherwise they
are collected and shown.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 23 Apr 2020 04:38:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 23 00:38:43 2020
Received: from localhost ([127.0.0.1]:53792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRTdL-0002rI-7c
	for submit <at> debbugs.gnu.org; Thu, 23 Apr 2020 00:38:43 -0400
Received: from mail4.protonmail.ch ([185.70.40.27]:57929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRTdJ-0002r4-K9
 for 40774 <at> debbugs.gnu.org; Thu, 23 Apr 2020 00:38:42 -0400
Date: Thu, 23 Apr 2020 04:38:28 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587616715;
 bh=eDmYPjLTTgoZIFvxV+kM6Q9epaqozCqVlTOcJ/fpjhY=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=Oc9YVT/AJajBoy0fFZVOFBZW7SxmJRDYjEmcviDDequ8pmr9MhjiiNweAebDKoO94
 Bk32CTZu6aY8ZQDctZilzXDIVE0XMpQd5MJe3nOZLcPLSgTsCFD9AJBAL3AC2lxMRL
 dNj6d0/njXLv+tEOJG3gaM68vrgIVIwLS56Bk74I=
To: Juri Linkov <juri@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <rDM-sGebhsA3xX2pByPNi-s-3PXwp0ldmHQQliqdUexS27FTSGrz1k0t8D0gdKz-SVyDekXYDaRy3gQFlGNS-jfcbqYHiBogrrCam7aYN40=@protonmail.com>
In-Reply-To: <874ktbfa6h.fsf@HIDDEN>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <874ktbfa6h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> Please try the multiline echo area implemented in
> https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00646.html

Yes, message stacking is also useful for other reasons. I was the one
who suggested that feature in that thread.

But message stacking clears the stack after a certain timeout which
is different than what I'm suggesting here.

With a timeout error messages could be hidden again by some other
progress message which arrives later.

Keeping error messages while the user is idle means the error
messages stay up indefinitely until the user comes back even if
he comes back, say, an hour later.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 22:07:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 18:07:24 2020
Received: from localhost ([127.0.0.1]:53523 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRNWe-0001ba-Co
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 18:07:24 -0400
Received: from relay6-d.mail.gandi.net ([217.70.183.198]:45031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1jRNWc-0001bM-DQ
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 18:07:23 -0400
X-Originating-IP: 91.129.106.11
Received: from mail.gandi.net (m91-129-106-11.cust.tele2.ee [91.129.106.11])
 (Authenticated sender: juri@HIDDEN)
 by relay6-d.mail.gandi.net (Postfix) with ESMTPSA id 3625CC0007;
 Wed, 22 Apr 2020 22:07:14 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Organization: LINKOV.NET
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
Date: Thu, 23 Apr 2020 01:05:42 +0300
In-Reply-To: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 (ndame via's message of "Wed, 22 Apr 2020 16:21:38 +0000")
Message-ID: <874ktbfa6h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > So when the user is not idle then things should work as
 today. But if > the user is idle (e.g. uses an other app or is away from the
 computer) > then error messages should not be hidden by other mes [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [217.70.183.198 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> So when the user is not idle then things should work as today. But if
> the user is idle (e.g. uses an other app or is away from the computer)
> then error messages should not be hidden by other messages, rather
> they should all be shown in a multiline echo area, so when the user
> gets back to emacs he can see all the errors which happened while he
> was away.

Please try the multiline echo area implemented in
https://lists.gnu.org/archive/html/emacs-devel/2019-12/msg00646.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 19:35:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 15:35:29 2020
Received: from localhost ([127.0.0.1]:53312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRL9c-00067i-U1
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:35:29 -0400
Received: from mail-40130.protonmail.ch ([185.70.40.130]:47698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRL9b-00067U-BM
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:35:27 -0400
Date: Wed, 22 Apr 2020 19:35:15 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587584121;
 bh=YmOsDYFSzjw97M5/uLaViuAxLVhWllmXHELbRtlXiY0=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=gNacmRyiWrnEgGV+EgsHwL0ML8Vu2H762ziRsOTPnBFnQIabkeq31AmwzBqhAvjQf
 yOR96l6imdF2jtY6ustvFM3t1taXNa/zuw8QDFuKOxdZCeXZUORywTzbDbvEjzWObB
 bhDx4h6Wgu7Edr/2vOeECHPEhdh0lKXKuAX2xMiI=
To: Eli Zaretskii <eliz@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <6ij_9GTWEr8TvtqlwJ__IgMXMaoo6omri90Awd6CZIzQiU5iE7Z7PPkgfm-yjafUtMR4IvbXyWUDvkCnZrMPH5BCS1LprWRcYw6TF6Mq9AU=@protonmail.com>
In-Reply-To: <835zdre31u.fsf@HIDDEN>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
 <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
 <835zdre31u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> The method Emacs uses to
> determine when to run the next idle timer will not work, because when
> Emacs is about to print a message, that method will return false,
> i.e. tell that the user is not idle.

OK, I didn't check how idle timers worked I just assumed the same
method can be used.

Then I guess the time of the last command can be used if it's
available. If the user did not invoke any command for a while then
we can assume  he's idle.

And it doesn't really matter if the determination of idleness is not
precise, because it only means that errors occuring during this time
won't be hidden by regular messages, they stay in the echo area.

And anytime the user actually invokes a command the echo area is
cleared as it works currently.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 19:25:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 15:25:31 2020
Received: from localhost ([127.0.0.1]:53275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRKzz-0005pt-6q
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:25:31 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRKzx-0005pg-Ia
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:25:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35360)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRKzs-0000GD-BG; Wed, 22 Apr 2020 15:25:24 -0400
Received: from [176.228.60.248] (port=1865 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRKzm-0006en-UH; Wed, 22 Apr 2020 15:25:20 -0400
Date: Wed, 22 Apr 2020 22:25:01 +0300
Message-Id: <835zdre31u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ndame <ndame@HIDDEN>
In-Reply-To: <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
 (message from ndame on Wed, 22 Apr 2020 19:10:36 +0000)
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 <83ftcve6gl.fsf@HIDDEN>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
 <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 22 Apr 2020 19:10:36 +0000
> From: ndame <ndame@HIDDEN>
> Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
> 
> > But that's exactly the problem I see with your proposed strategy:
> > when Emacs prints a message, it is never idle, by definition.
> 
> But the condition is not "when Emacs is idle", but "when the user
> is idle". So Emacs can do some processing, running some timers,
> printing messages while the user is idle in Emacs, right?

We are going in circles.

You want Emacs behave two different ways when it is about to show a
message, is that right?  So I'm asking how will Emacs determine, at
that point, whether "the user is idle".  The method Emacs uses to
determine when to run the next idle timer will not work, because when
Emacs is about to print a message, that method will return false,
i.e. tell that the user is not idle.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 19:10:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 15:10:53 2020
Received: from localhost ([127.0.0.1]:53254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRKlp-0005SF-BU
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:10:53 -0400
Received: from mail4.protonmail.ch ([185.70.40.27]:52884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRKln-0005S0-Ib
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:10:52 -0400
Date: Wed, 22 Apr 2020 19:10:36 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587582645;
 bh=eAZGdeoV6DLPj+7lYA8crJBS19aZNfOchh3E37Yaun8=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=dQtDTiQMANVzE4DSShSMZVHpSp7JJ33QhIY1IAIA9hRSSCYSyfmeYi/7SttsNBiGZ
 ibv+x6ZOzHK5LrzMm0AP8StOfk2J41Bjy5bwsmSxGgR4i3lRoy05tOEVg0MpzZqIm7
 QMH/qznNoGFsNSl0HmMn0JhQVx2FxiNXXLt1iVtM=
To: Eli Zaretskii <eliz@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <-ZmNQQ07JD7L0I5EpXolv4t1UhWBGc4SN0dkJml3cLbBjO6ucAMUzAqsI9Ca69xO_hzlMLfaLs6bY9vq8GAR24RUGu1LZqVoVkXhiJcFgtg=@protonmail.com>
In-Reply-To: <837dy7e3wr.fsf@HIDDEN>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 <83ftcve6gl.fsf@HIDDEN>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 <837dy7e3wr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> But that's exactly the problem I see with your proposed strategy:
> when Emacs prints a message, it is never idle, by definition.


But the condition is not "when Emacs is idle", but "when the user
is idle". So Emacs can do some processing, running some timers,
printing messages while the user is idle in Emacs, right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 19:06:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 15:06:52 2020
Received: from localhost ([127.0.0.1]:53245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRKhw-0005LX-FU
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:06:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRKhv-0005LG-Es
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 15:06:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35177)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRKhq-0003ex-9B; Wed, 22 Apr 2020 15:06:46 -0400
Received: from [176.228.60.248] (port=4715 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRKhp-0005Of-Fl; Wed, 22 Apr 2020 15:06:46 -0400
Date: Wed, 22 Apr 2020 22:06:28 +0300
Message-Id: <837dy7e3wr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ndame <ndame@HIDDEN>
In-Reply-To: <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
 (message from ndame on Wed, 22 Apr 2020 18:53:01 +0000)
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 <83ftcve6gl.fsf@HIDDEN>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
 <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 22 Apr 2020 18:53:01 +0000
> From: ndame <ndame@HIDDEN>
> Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
> 
> > You want the Emacs behavior to change depending on whether "the user
> > is idle" or not, right? If the practical implementation of that will
> > be "when Emacs is idle", you might not have the behavior you wanted,
> > because Emacs might not be idle when the user is.
> 
> If Emacs prints a message then the message function can check if the
> user is idle using the same condition what run-with-idle-timer
> uses and if so then it can handle displaying the message in different way.

But that's exactly the problem I see with your proposed strategy:
when Emacs prints a message, it is _never_ idle, by definition.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 18:53:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 14:53:15 2020
Received: from localhost ([127.0.0.1]:53233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRKUk-0004yi-Ss
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:53:15 -0400
Received: from mail-40130.protonmail.ch ([185.70.40.130]:47825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRKUj-0004yW-EG
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:53:13 -0400
Date: Wed, 22 Apr 2020 18:53:01 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587581587;
 bh=U9RhVkyg9ADHqlNwRV1tvexNhohY8YA2LOce7H/osMs=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=IzmUZ2mnak5RiB3Jr/L3dQuEk125xXkFaJCCEAuLlUo6N8lSIA8N3hJAaNDgbAbAQ
 9hCDlCR90w7muIPSEcn3xXUySqD8GcUcVKYsHS9riMKa0HgsJ9fCoX/28DSVqJ8m9Q
 Tbt4Y1kravPulEsN7uQtdGKzOzBAmYEJuh7zKNow=
To: Eli Zaretskii <eliz@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <oV3N7nA7QrjDRsCpC_vPU2qltLVR641NMFwoj8G-yDfYIbkOBikolvnFo5clDESsuwXVlkuN2qEvUI615MvfCZixFfZeMHB9Y8Vq_5TnrWI=@protonmail.com>
In-Reply-To: <838sine4si.fsf@HIDDEN>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 <83ftcve6gl.fsf@HIDDEN>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 <838sine4si.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> You want the Emacs behavior to change depending on whether "the user
> is idle" or not, right? If the practical implementation of that will
> be "when Emacs is idle", you might not have the behavior you wanted,
> because Emacs might not be idle when the user is.

If Emacs prints a message then the message function can check if the
user is idle using the same condition what run-with-idle-timer
uses and if so then it can handle displaying the message in different way.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 18:47:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 14:47:52 2020
Received: from localhost ([127.0.0.1]:53225 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRKPX-0004q2-Q1
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:47:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58902)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRKPW-0004pq-S2
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:47:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34994)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRKPP-0006ir-Jc; Wed, 22 Apr 2020 14:47:44 -0400
Received: from [176.228.60.248] (port=3558 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRKPP-000217-1d; Wed, 22 Apr 2020 14:47:43 -0400
Date: Wed, 22 Apr 2020 21:47:25 +0300
Message-Id: <838sine4si.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ndame <ndame@HIDDEN>
In-Reply-To: <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
 (message from ndame on Wed, 22 Apr 2020 18:43:48 +0000)
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 <83ftcve6gl.fsf@HIDDEN>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
 <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 22 Apr 2020 18:43:48 +0000
> From: ndame <ndame@HIDDEN>
> Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
> 
> >
> > What if the user is looking at another application, and Emacs runs a
> > prolonged operation of sorts, for example, indexing some large
> > directory?
> 
> I don't get what you're getting at.

You want the Emacs behavior to change depending on whether "the user
is idle" or not, right?  If the practical implementation of that will
be "when Emacs is idle", you might not have the behavior you wanted,
because Emacs might _not_ be idle when the user is.

I hope this clarifies the point I was trying to make.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 18:44:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 14:44:01 2020
Received: from localhost ([127.0.0.1]:53217 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRKLp-0004jO-AQ
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:44:01 -0400
Received: from mail-40132.protonmail.ch ([185.70.40.132]:34465)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRKLn-0004j8-QE
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:44:00 -0400
Date: Wed, 22 Apr 2020 18:43:48 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587581033;
 bh=NYSyTgM3U+lRVwihJum6a9A9PlgwxAwqWQpw8lYcL7U=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=qHhhQ1TiYOYi12/VtiQMnU9BR1mR2G45QgSNwjJ9IXOLNcb7lPrV7nhy1ZXUz0Zqb
 nk6fhz/yjuQhJkcJkne0ogruOVNggpTTPeZrdqp0qP6WVQ9v/0dzjCHgXqIHxJtazM
 s1fuqdsFyTRJkbXpZIMwPlaS+atrlg40nrqs6Cf4=
To: Eli Zaretskii <eliz@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <jZDBUJ0ttQo1rCf6roSvsjHKT2TTDSv8Iko_PJ9oBe5ehSi0qdWL25xK-j4tK3ysdgA-1v4j90TEKrGmuk-Jh7UEclNJUwcr-9ya-VfONEE=@protonmail.com>
In-Reply-To: <83blnje5ro.fsf@HIDDEN>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 <83ftcve6gl.fsf@HIDDEN>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 <83blnje5ro.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> What if the user is looking at another application, and Emacs runs a
> prolonged operation of sorts, for example, indexing some large
> directory?

I don't get what you're getting at.

If the prolonged operation does not stop with an error then nothing
happens. If the operation stops with an error then the error
will be in the echo  area when the user switches back to emacs.

This feature only comes into play if a message is printed to the
echo area, the message is an error message (sent by error, signal, etc.)
and the user is idle in emacs. Then the error (or errors) is stored,
so if some other progress message arrives when the user is idle then
it does not hide the error, it stays in the echo area.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 18:26:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 14:26:44 2020
Received: from localhost ([127.0.0.1]:53205 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRK56-0002G5-F2
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:26:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50396)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRK54-0002Fq-IQ
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:26:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34759)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRK4y-0004Up-TI; Wed, 22 Apr 2020 14:26:36 -0400
Received: from [176.228.60.248] (port=2282 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRK4x-0006zn-Md; Wed, 22 Apr 2020 14:26:36 -0400
Date: Wed, 22 Apr 2020 21:26:19 +0300
Message-Id: <83blnje5ro.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ndame <ndame@HIDDEN>
In-Reply-To: <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
 (message from ndame on Wed, 22 Apr 2020 18:21:48 +0000)
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 <83ftcve6gl.fsf@HIDDEN>
 <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 22 Apr 2020 18:21:48 +0000
> From: ndame <ndame@HIDDEN>
> Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
> 
> > > The same definition what run-with-idle-timer uses is suitable.
> >
> > Are you sure? That defines when Emacs is idle, which is not the
> > same thing.
> 
> Yes, I meant "user is idle" from Emacs' point of view. I should have
> been more precise. I wrote: "the user is idle (e.g. uses an other app
> or is away from the computer)".
> 
> So this feature comes into play when the user is idle in Emacs,
> e.g. uses an other app, so doesn't look at the Emacs window
> and can miss error messages.

What if the user is looking at another application, and Emacs runs a
prolonged operation of sorts, for example, indexing some large
directory?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 18:22:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 14:22:03 2020
Received: from localhost ([127.0.0.1]:53200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRK0Y-00029E-S9
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:22:03 -0400
Received: from mail4.protonmail.ch ([185.70.40.27]:51575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRK0V-00028i-VN
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:22:02 -0400
Date: Wed, 22 Apr 2020 18:21:48 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587579713;
 bh=7KDV3NqI+V+QbkM9y8ZVDzthlcP9CRYyA076KkN7BZs=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=mJwJMS7aMYRxcpzSz4+tROuld5YiKC9qQRrbkLOFABvX+0yCMYxC90na6oHuIe1as
 VI6Rlv0AFPulohQPSo4EEbjB3Jw9tVb4lrCyBo5A3nU1l6Mqn2W7JmuhmuztOiiYpX
 agdDXhJy1LIngD61qzJqhxQVkLHbgcBSwc+Ds7lU=
To: Eli Zaretskii <eliz@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <oKizwsHsNEs32KY228rEgIfLQ9kU2TkAVhHbU4XhWVqrKMB488cgzVLSzWHUaJEysl36A6qvHVvKrJdlMGSm6Hrl2nBynPtdETs0CY6op3U=@protonmail.com>
In-Reply-To: <83ftcve6gl.fsf@HIDDEN>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 <83ftcve6gl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Wednesday, April 22, 2020 8:11 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> >
> > > How do you define "user is idle"?
> >
> > The same definition what run-with-idle-timer uses is suitable.
>
> Are you sure? That defines when Emacs is idle, which is not the
> same thing.

Yes, I meant "user is idle" from Emacs' point of view. I should have
been more precise. I wrote: "the user is idle (e.g. uses an other app
or is away from the computer)".

So this feature comes into play when the user is idle in Emacs,
e.g. uses an other app, so doesn't look at the Emacs window
and can miss error messages.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 18:11:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 14:11:51 2020
Received: from localhost ([127.0.0.1]:53179 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRJqh-0001rI-EL
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:11:51 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44046)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRJqc-0001r2-Rr
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 14:11:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34546)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRJqW-0000OH-Vc; Wed, 22 Apr 2020 14:11:41 -0400
Received: from [176.228.60.248] (port=1360 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRJqV-0005TA-N7; Wed, 22 Apr 2020 14:11:40 -0400
Date: Wed, 22 Apr 2020 21:11:22 +0300
Message-Id: <83ftcve6gl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ndame <ndame@HIDDEN>
In-Reply-To: <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
 (message from ndame on Wed, 22 Apr 2020 17:38:47 +0000)
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
 <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Date: Wed,
 22 Apr 2020 17:38:47 +0000 > From: ndame <ndame@HIDDEN>
 > Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org> > > > How do you define
 "user is idle"? > > The same definition what [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.92 listed in list.dnswl.org]
 0.0 T_SPF_HELO_TEMPERROR   SPF: test of HELO record failed (temperror)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Date: Wed, 22 Apr 2020 17:38:47 +0000
> From: ndame <ndame@HIDDEN>
> Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
> 
> > How do you define "user is idle"?
> 
> The same definition what run-with-idle-timer uses is suitable.

Are you sure?  That defines when _Emacs_ is idle, which is not the
same thing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 17:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 13:38:56 2020
Received: from localhost ([127.0.0.1]:53148 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRJKq-00010u-DX
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 13:38:56 -0400
Received: from mail-40132.protonmail.ch ([185.70.40.132]:33340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRJKp-00010h-1A
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 13:38:55 -0400
Date: Wed, 22 Apr 2020 17:38:47 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587577128;
 bh=poYr0aeKeugcWFGdK1vxwpCwGuxN5H6Dh82MRLUf8Is=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=qG2sMpWybKXb8QQJtLk5/yGuX0YAoYoGfcQNGn9T2z+NJDr8Oiw2K+nyYoLVQTEae
 hDUZ2hf7l4QMi5XDdoPLZU9rYzygmYTXjI7cXcu89JCkAxzWCnpAzjFnS1sZ0c6leH
 37O0wklsS89SBQ+qTfHQmf+EZ445V5wzP6qJt6/w=
To: Eli Zaretskii <eliz@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <3HKWEOXkDWKA21dsCFgMgmFIMPR3VwPgNzfTjd7I5Igswu07sfhZaP-td1X4Py66xAD6kDLyLjVmujFkuabkY_S9ZZhgGZwi0IaAV6RS59U=@protonmail.com>
In-Reply-To: <83mu73eagw.fsf@HIDDEN>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <83mu73eagw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> That's why we have theMessages buffer, where all the messages are
> logged, even those that aren't shown in the echo area. A simple
> solution to your use case is to have the Messages buffer shown in a
> window at all times.

I don't have screen real estate to constantly show the Messages buffer
and it still has the problem that other messages drown the error
messages.

But I can solve this problem for myself if needed. I only submitted
the idea here, because I felt it could be useful for others too.

>
> How do you define "user is idle"?

The same definition what run-with-idle-timer uses is suitable.







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 17:36:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 13:36:18 2020
Received: from localhost ([127.0.0.1]:53130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRJII-0000wY-Ac
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 13:36:18 -0400
Received: from mail-40130.protonmail.ch ([185.70.40.130]:31687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRJIG-0000wK-Bf
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 13:36:17 -0400
Date: Wed, 22 Apr 2020 17:35:51 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587576969;
 bh=zY+abVGlu0SA3IX0y6WAo13qAITXL8UD1YvEIe6WtWA=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=ZdV7qzVauk8fo5I2cPu8HGrs4moZhc8n10AnsG32X3IQ+zP/rsQID26+me6BUxx04
 Vt50Fxjc6Df4Ucvva7M+C9qHqQn/4o39l2nBr4e9dWFqLL4SnGeqxyqpvJLlMoHG+B
 ND6n+tBWNewywn3LwNtHsOrhN7tPj6ECsnM8OpDU=
To: Drew Adams <drew.adams@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: RE: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <63lpk2GC7sBy4iVVqUQnnJdX9_H5z36LByJe_C5e8ttbLOUPMpba6jzLW8IMRdLeAKHK2styHbQml5exispWAnHR5gWysqhbA7R0YUlcntk=@protonmail.com>
In-Reply-To: <ccce1db0-d7b3-41af-a207-53c2a4f7879e@default>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <868b0762-2179-4206-9684-1b944affbbfe@default>
 <xbhkmOLEJ9KWM-Th2t62LqNo22pJzz5DEzF-7t_J8Qt7YAkbix33dFGVyFUDuXJYlHsKfu1OzeoRRb4dc43ZTcwgIqfD7dAZFkHjRpNOK_8=@protonmail.com>
 <ccce1db0-d7b3-41af-a207-53c2a4f7879e@default>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> The same trivial messages that polluteMessages would pollute your multi-l=
ine echo area.
>

No, because the echo are in the idle case would show only the actual error =
messages,
not the trivial progress messages.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 17:10:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 13:10:37 2020
Received: from localhost ([127.0.0.1]:53075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRItR-0000GK-Kd
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 13:10:37 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:49762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1jRItQ-0000G7-7V
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 13:10:37 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 03MH8nBL004743;
 Wed, 22 Apr 2020 17:10:30 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=N2Q9tcHuDUz9PrWDv4tpF8CcjgrNa4CAQuFXylUmzqQ=;
 b=pBFxE8WOYXHXiMAhLhVHm8xeuM+mfHrtnseu9ZGPPdUq9gWV+0irMJ1G89X99hTqPpW3
 bATCNDrfZuFWe/2tyGWFsDfntzMGo9vPPQDy1n5Fi+Ufno0gh1eexhtISsRbPhdS+xT7
 ERRwFMk/Y5a8/LRvEs38KRR4nXOqgCE9cQABALTxZ6b7GTuOu/lZS5XPrU22FoXMYIh4
 4P7XcRkyUzYcIE2sfIAFGlFMq/bqqhwJJI3elH/+pU/EpiMpqgYb0i+d6Ax8TJw9z9FW
 M20xC1Sus6kda/8+vTHZ5E8Nq/17a/u6BPcKPiiWqjNGWtSBTrfCdGtRrrobyASvdfF5 sw== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2120.oracle.com with ESMTP id 30jhyc2yg1-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 22 Apr 2020 17:10:30 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 03MH7koq098410;
 Wed, 22 Apr 2020 17:08:30 GMT
Received: from userv0121.oracle.com (userv0121.oracle.com [156.151.31.72])
 by userp3020.oracle.com with ESMTP id 30gb932q6u-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 22 Apr 2020 17:08:30 +0000
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by userv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 03MH8Th6029271;
 Wed, 22 Apr 2020 17:08:29 GMT
MIME-Version: 1.0
Message-ID: <ccce1db0-d7b3-41af-a207-53c2a4f7879e@default>
Date: Wed, 22 Apr 2020 10:08:28 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: ndame <ndame@HIDDEN>
Subject: RE: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <868b0762-2179-4206-9684-1b944affbbfe@default>
 <xbhkmOLEJ9KWM-Th2t62LqNo22pJzz5DEzF-7t_J8Qt7YAkbix33dFGVyFUDuXJYlHsKfu1OzeoRRb4dc43ZTcwgIqfD7dAZFkHjRpNOK_8=@protonmail.com>
In-Reply-To: <xbhkmOLEJ9KWM-Th2t62LqNo22pJzz5DEzF-7t_J8Qt7YAkbix33dFGVyFUDuXJYlHsKfu1OzeoRRb4dc43ZTcwgIqfD7dAZFkHjRpNOK_8=@protonmail.com>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4966.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9599
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 adultscore=0
 bulkscore=0 suspectscore=0 malwarescore=0 phishscore=0 spamscore=0
 mlxscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2003020000 definitions=main-2004220129
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9599
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 spamscore=0 mlxscore=0
 clxscore=1015 suspectscore=0 phishscore=0 lowpriorityscore=0 bulkscore=0
 impostorscore=0 malwarescore=0 priorityscore=1501 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2003020000
 definitions=main-2004220129
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > My suggestion would instead be this: As an option,
> > have buffer `Messages' be displayed on an idle timer.
>=20
> This is not the same, because if there are progress messages too then err=
ors can be drowned in the noise, the user may not notice the error, and the=
 user usually doesn't care about progress message history.
>=20
> It's much better if emacs collects the errors while the user is away and =
shows
> them when the user is back, because if the computer can collect these the=
n it should do it instead of the user.
>=20
> And when the user is back and sees the errors then he knows about them ri=
ght away without having to parse the Messages buffer visually.

The same trivial messages that pollute *Messages* would pollute your multi-=
line echo area.

Showing *Messages* has the same effect of showing your multi-line echo area=
, no? Except that it's not transient.

Emacs "collects the errors while the user is away, and shows them when the =
user is back" is exactly what *Messages* does.

Even now, even without popping up Messages automatically after some idle pe=
riod, you can just click `mouse-1' in the echo area to pop it up.  Or use `=
C-h e' to do the same thing.

(See also: https://stackoverflow.com/q/4682033/729907.)
___

BTW, I wonder if buffer *Messages* shouldn't have a menu-bar menu, with a f=
ew items that do things like filter temporarily in various ways, change `me=
ssage-log-max', etc.  Some things a user might want to do with the buffer c=
ontent aren't necessarily obvious.

IOW, *Messages* could probably be made more directly useful than it is now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 16:45:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 12:45:14 2020
Received: from localhost ([127.0.0.1]:53066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRIUs-000859-BW
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:45:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1jRIUq-00084w-5w
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:45:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33142)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1jRIUk-0002iV-9t; Wed, 22 Apr 2020 12:45:06 -0400
Received: from [176.228.60.248] (port=4046 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1jRIUj-0008O5-Kg; Wed, 22 Apr 2020 12:45:06 -0400
Date: Wed, 22 Apr 2020 19:44:47 +0300
Message-Id: <83mu73eagw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ndame <ndame@HIDDEN>, ndame <ndame@HIDDEN>
In-Reply-To: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: 40774 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Wed, 22 Apr 2020 16:21:38 +0000
> From: ndame via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> If a message is printed in the echo area then it can be hidden in two
> ways: either the user uses some command and the echo area is cleared
> automatically or an other message comes which replaces the previous
> one.
> 
> I use several timers which perform recurring or background tasks,
> e.g. fetching things from the network. When there is an error in such
> a timer then often I only know about it by noticing that the task does
> not produce the usual results, e.g. fails to update something, because
> other progress messages hide the printed errors.

That's why we have the *Messages* buffer, where all the messages are
logged, even those that aren't shown in the echo area.  A simple
solution to your use case is to have the *Messages* buffer shown in a
window at all times.

> So when the user is not idle then things should work as today. But if
> the user is idle (e.g. uses an other app or is away from the computer)
> then error messages should not be hidden by other messages, rather
> they should all be shown in a multiline echo area, so when the user
> gets back to emacs he can see all the errors which happened while he
> was away.

How do you define "user is idle"?  is that only keyboard input, or
does that include other kinds of input as well?  On a modern graphical
system, it isn't trivial to decide whether the user is idle, because
there are input events that come from the system, not just from the
user making keyboard or mouse gestures.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 16:38:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 12:38:13 2020
Received: from localhost ([127.0.0.1]:53062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRIO5-0007ur-Jz
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:38:13 -0400
Received: from mail-40135.protonmail.ch ([185.70.40.135]:13080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRIO3-0007ud-5p
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:38:12 -0400
Date: Wed, 22 Apr 2020 16:38:02 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587573484;
 bh=vL0Xzf5UQrNet+ypwAaPwpG4PKAJf7nxNhDiL4taNdY=;
 h=Date:To:From:Cc:Reply-To:Subject:In-Reply-To:References:From;
 b=fPSeVz28/z3giC6ugEt0SA3A9Rrc6KLhYIhOv9JTrYq7rFgGxcq+jX/kXWgj0NnF9
 7A0qiNDh7Ey6qsmXLZhwFJRfHK8aE9/1XniSnpHp7h/csCOOJ6GiX6djrY2OCWuJqk
 WpFuQWMgFe/ipe1PqUulnEA42bSUuEFlDQ0fi6GE=
To: Drew Adams <drew.adams@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: RE: bug#40774: Error messages shouldn't be hidden when the user is
 idle
Message-ID: <xbhkmOLEJ9KWM-Th2t62LqNo22pJzz5DEzF-7t_J8Qt7YAkbix33dFGVyFUDuXJYlHsKfu1OzeoRRb4dc43ZTcwgIqfD7dAZFkHjRpNOK_8=@protonmail.com>
In-Reply-To: <868b0762-2179-4206-9684-1b944affbbfe@default>
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
 <868b0762-2179-4206-9684-1b944affbbfe@default>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Status: No, score=-1.2 required=7.0 tests=ALL_TRUSTED,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM shortcircuit=no
 autolearn=disabled version=3.4.4
X-Spam-Checker-Version: SpamAssassin 3.4.4 (2020-01-24) on mail.protonmail.ch
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 40774
Cc: "40774 <at> debbugs.gnu.org" <40774 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>
> My suggestion would instead be this:
>
> As an option (i.e. one can easily turn it off), have buffer `Messages' be=
 displayed on an idle timer.

This is not the same, because if there are progress messages too then error=
s
can be drowned in the noise, the user may not notice the error, and the use=
r
usually doesn't care about progress message history.

It's much better if emacs collects the errors while the user is away and sh=
ows
them when the user is back, because if the computer can collect these then =
it
should do it instead of the user.

And when the user is back and sees the errors then he knows about them righ=
t
away without having to parse the Messages buffer visually.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at 40774 <at> debbugs.gnu.org:


Received: (at 40774) by debbugs.gnu.org; 22 Apr 2020 16:27:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 12:27:59 2020
Received: from localhost ([127.0.0.1]:53042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRIEB-0007dl-EO
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:27:59 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:38600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1jRIEA-0007dY-GN
 for 40774 <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:27:59 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 03MGIfTk151268;
 Wed, 22 Apr 2020 16:27:52 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=Vd+k0p58BQwt5i25lxASE8cdmYUCN2MO4dNjSIRDWWU=;
 b=LSSp5jrFOEihFGnOgHAI8bxPmVm67697OQdOa3a2R5NPTCW4Kgm7CoToi54OWyD/4Aq7
 zYYZzhePTHEPLb1fbOvkTiCrquPGyn3rmhb1uXGlj/yUJWGq374YSGsY04TWnR87Xh38
 7TBzW8MC365YOqH5eaet+tPyN+HdTrpkA9iGS7LNdAznYPJUDf0FNX8/pAVpuLNdSYHv
 9F/v08ykoz9Z4qgltkkE2gKKVssPZzZxrHBq05++RF6O2vVh8EH47RkF6xFDGuM/cwZv
 kDgmHZOK6il5kbZMMZrczAJBwPGi/7+TLeFOJ8posHGE/opPIFNauvbj/7X+4926KEHf MQ== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2130.oracle.com with ESMTP id 30grpgrcd5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 22 Apr 2020 16:27:52 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 03MGCJDl187943;
 Wed, 22 Apr 2020 16:27:51 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userp3030.oracle.com with ESMTP id 30gb1jwf72-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 22 Apr 2020 16:27:51 +0000
Received: from abhmp0001.oracle.com (abhmp0001.oracle.com [141.146.116.7])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id 03MGRnHR008020;
 Wed, 22 Apr 2020 16:27:49 GMT
MIME-Version: 1.0
Message-ID: <868b0762-2179-4206-9684-1b944affbbfe@default>
Date: Wed, 22 Apr 2020 09:27:48 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: ndame <ndame@HIDDEN>, 40774 <at> debbugs.gnu.org
Subject: RE: bug#40774: Error messages shouldn't be hidden when the user is
 idle
References: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
In-Reply-To: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4966.0 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9599
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 suspectscore=0 spamscore=0
 mlxlogscore=999 mlxscore=0 malwarescore=0 bulkscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2003020000
 definitions=main-2004220123
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9599
 signatures=668686
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 mlxscore=0
 lowpriorityscore=0 adultscore=0 suspectscore=0 bulkscore=0 clxscore=1011
 malwarescore=0 phishscore=0 spamscore=0 priorityscore=1501 impostorscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2003020000
 definitions=main-2004220123
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40774
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> If a message is printed in the echo area then it can be hidden in two way=
s: either the user uses some command and the echo area is cleared automatic=
ally or an other message comes which replaces the previous one.

> I use several timers which perform recurring or background tasks, e.g. fe=
tching things from the network. When there is an error in such a timer then=
 often I only know about it by noticing that the task does not produce the =
usual results, e.g. fails to update something, because other progress messa=
ges hide the printed errors.

> A better way can be if error messages can't be hidden if the user is idle=
. When I'm using emacs then I usually notice the error, but if I'm in an ot=
her app and the error occurs in the meantime then often it's hidden by a pr=
ogress message by the time I switch back to emacs.

> So when the user is not idle then things should work as today. But if the=
 user is idle (e.g. uses an other app or is away from the computer) then er=
ror messages should not be hidden by other messages, rather they should all=
 be shown in a multiline echo area, so when the user gets back to emacs he =
can see all the errors which happened while he was away.

My suggestion would instead be this:

As an _option_ (i.e. one can easily turn it off), have buffer `*Messages*' =
be displayed on an idle timer.

You can do this yourself, now, BTW.  But it might be good for Emacs to offe=
r this out of the box.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Apr 2020 16:22:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 22 12:22:03 2020
Received: from localhost ([127.0.0.1]:53033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jRI8R-0007Uj-6o
	for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:22:03 -0400
Received: from lists.gnu.org ([209.51.188.17]:35226)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ndame@HIDDEN>) id 1jRI8P-0007UH-AY
 for submit <at> debbugs.gnu.org; Wed, 22 Apr 2020 12:22:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34498)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ndame@HIDDEN>) id 1jRI8M-0004Tk-N7
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2020 12:22:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.8 required=5.0 tests=BAYES_00,DKIM_SIGNED,
 DKIM_VALID,DKIM_VALID_AU,DKIM_VALID_EF,FREEMAIL_FROM,HTML_MESSAGE,
 RCVD_IN_DNSWL_LOW,RCVD_IN_MSPIKE_H2,SPF_HELO_PASS,SPF_PASS,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <ndame@HIDDEN>) id 1jRI8L-0001yP-KX
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2020 12:21:58 -0400
Received: from mail-40135.protonmail.ch ([185.70.40.135]:11037)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ndame@HIDDEN>)
 id 1jRI8K-0001G5-05
 for bug-gnu-emacs@HIDDEN; Wed, 22 Apr 2020 12:21:57 -0400
Date: Wed, 22 Apr 2020 16:21:38 +0000
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=protonmail.com;
 s=protonmail; t=1587572508;
 bh=3uBpupDUpcB6b59DbBGK58F5r41YrgV69T4WWtSDQ7k=;
 h=Date:To:From:Reply-To:Subject:From;
 b=lB5Sy73WODc4N/XaRwMVC9rc64/Gi+1f+g4z+AvvMvx2kiOBcXSGny8jgu1JIDtyv
 TLhwsi81MLsOaYMJB1qk0aL6Lb0NYqo6B9/zr8U4Rk5+XnP6EcQafFu9QhRzrrYcuv
 qgkudfWrTSBGAU+Y/3CtpHll7qLXRudknmanSwQw=
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
From: ndame <ndame@HIDDEN>
Subject: Error messages shouldn't be hidden when the user is idle
Message-ID: <FgTCQFLolABzatXm26t0Z6w4wkpWyjP2PEDuMP1dFJeItFGGapJk42kiXrWemER4Hloq2J-XDeY7Q1UitQxH0ArgNm64SUEeEXbPp2vNRwA=@protonmail.com>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="b1_b8419a4c37e61ac77fb2191a78453309"
Received-SPF: pass client-ip=185.70.40.135; envelope-from=ndame@HIDDEN;
 helo=mail-40135.protonmail.ch
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/04/22 12:21:49
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Received-From: 185.70.40.135
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: If a message is printed in the echo area then it can be
 hidden
 in two ways: either the user uses some command and the echo area is cleared
 automatically or an other message comes which replaces the pr [...] 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: protonmail.com]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (ndame[at]protonmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: ndame <ndame@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.

--b1_b8419a4c37e61ac77fb2191a78453309
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: base64

SWYgYSBtZXNzYWdlIGlzIHByaW50ZWQgaW4gdGhlIGVjaG8gYXJlYSB0aGVuIGl0IGNhbiBiZSBo
aWRkZW4gaW4gdHdvCndheXM6IGVpdGhlciB0aGUgdXNlciB1c2VzIHNvbWUgY29tbWFuZCBhbmQg
dGhlIGVjaG8gYXJlYSBpcyBjbGVhcmVkCmF1dG9tYXRpY2FsbHkgb3IgYW4gb3RoZXIgbWVzc2Fn
ZSBjb21lcyB3aGljaCByZXBsYWNlcyB0aGUgcHJldmlvdXMKb25lLgoKSSB1c2Ugc2V2ZXJhbCB0
aW1lcnMgd2hpY2ggcGVyZm9ybSByZWN1cnJpbmcgb3IgYmFja2dyb3VuZCB0YXNrcywKZS5nLiBm
ZXRjaGluZyB0aGluZ3MgZnJvbSB0aGUgbmV0d29yay4gV2hlbiB0aGVyZSBpcyBhbiBlcnJvciBp
biBzdWNoCmEgdGltZXIgdGhlbiBvZnRlbiBJIG9ubHkga25vdyBhYm91dCBpdCBieSBub3RpY2lu
ZyB0aGF0IHRoZSB0YXNrIGRvZXMKbm90IHByb2R1Y2UgdGhlIHVzdWFsIHJlc3VsdHMsIGUuZy4g
ZmFpbHMgdG8gdXBkYXRlIHNvbWV0aGluZywgYmVjYXVzZQpvdGhlciBwcm9ncmVzcyBtZXNzYWdl
cyBoaWRlIHRoZSBwcmludGVkIGVycm9ycy4KCkEgYmV0dGVyIHdheSBjYW4gYmUgaWYgZXJyb3Ig
bWVzc2FnZXMgY2FuJ3QgYmUgaGlkZGVuIGlmIHRoZSB1c2VyIGlzCmlkbGUuIFdoZW4gSSdtIHVz
aW5nIGVtYWNzIHRoZW4gSSB1c3VhbGx5IG5vdGljZSB0aGUgZXJyb3IsIGJ1dCBpZiBJJ20KaW4g
YW4gb3RoZXIgYXBwIGFuZCB0aGUgZXJyb3Igb2NjdXJzIGluIHRoZSBtZWFudGltZSB0aGVuIG9m
dGVuIGl0J3MKaGlkZGVuIGJ5IGEgcHJvZ3Jlc3MgbWVzc2FnZSBieSB0aGUgdGltZSBJIHN3aXRj
aCBiYWNrIHRvIGVtYWNzLgoKU28gd2hlbiB0aGUgdXNlciBpcyBub3QgaWRsZSB0aGVuIHRoaW5n
cyBzaG91bGQgd29yayBhcyB0b2RheS4gQnV0IGlmCnRoZSB1c2VyIGlzIGlkbGUgKGUuZy4gdXNl
cyBhbiBvdGhlciBhcHAgb3IgaXMgYXdheSBmcm9tIHRoZSBjb21wdXRlcikKdGhlbiBlcnJvciBt
ZXNzYWdlcyBzaG91bGQgbm90IGJlIGhpZGRlbiBieSBvdGhlciBtZXNzYWdlcywgcmF0aGVyCnRo
ZXkgc2hvdWxkIGFsbCBiZSBzaG93biBpbiBhIG11bHRpbGluZSBlY2hvIGFyZWEsIHNvIHdoZW4g
dGhlIHVzZXIKZ2V0cyBiYWNrIHRvIGVtYWNzIGhlIGNhbiBzZWUgYWxsIHRoZSBlcnJvcnMgd2hp
Y2ggaGFwcGVuZWQgd2hpbGUgaGUKd2FzIGF3YXku


--b1_b8419a4c37e61ac77fb2191a78453309
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: base64
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--b1_b8419a4c37e61ac77fb2191a78453309--





Acknowledgement sent to ndame <ndame@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40774; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 5 Dec 2021 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.